CRAN Package Check Results for Package usmap

Last updated on 2021-06-19 03:51:48 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.5.2 3.37 69.26 72.63 OK
r-devel-linux-x86_64-debian-gcc 0.5.2 2.53 52.60 55.13 OK
r-devel-linux-x86_64-fedora-clang 0.5.2 94.53 NOTE
r-devel-linux-x86_64-fedora-gcc 0.5.2 87.26 NOTE
r-devel-windows-x86_64 0.5.2 6.00 98.00 104.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.5.2 NOTE
r-patched-linux-x86_64 0.5.2 3.45 66.34 69.79 OK
r-patched-solaris-x86 0.5.2 134.20 NOTE
r-release-linux-x86_64 0.5.2 3.44 64.96 68.40 OK
r-release-macos-arm64 0.5.2 ERROR
r-release-macos-x86_64 0.5.2 NOTE
r-release-windows-ix86+x86_64 0.5.2 7.00 94.00 101.00 NOTE
r-oldrel-macos-x86_64 0.5.2 NOTE
r-oldrel-windows-ix86+x86_64 0.5.2 7.00 95.00 102.00 NOTE

Check Details

Version: 0.5.2
Check: installed package size
Result: NOTE
     installed size is 8.4Mb
     sub-directories of 1Mb or more:
     doc 1.7Mb
     extdata 6.4Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-x86_64, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.5.2
Check: data for non-ASCII characters
Result: NOTE
     Note: found 1 marked UTF-8 string
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64-gcc10-UCRT, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.5.2
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘rgdal’
Flavor: r-release-macos-arm64

Version: 0.5.2
Check: examples
Result: ERROR
    Running examples in ‘usmap-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: usmap_transform
    > ### Title: Convert coordinate date frame to usmap projection
    > ### Aliases: usmap_transform usmap_transform.data.frame
    >
    > ### ** Examples
    >
    > data <- data.frame(
    + lon = c(-74.01, -95.36, -118.24, -87.65, -134.42, -157.86),
    + lat = c(40.71, 29.76, 34.05, 41.85, 58.30, 21.31),
    + pop = c(8398748, 2325502, 3990456, 2705994, 32113, 347397)
    + )
    >
    > # Transform data
    > transformed_data <- usmap_transform(data)
    Error in usmap_transform(data) :
     `rgdal` must be installed to use `usmap_transform`.
     Use: install.packages("rgdal") and try again.
    Execution halted
Flavor: r-release-macos-arm64

Version: 0.5.2
Check: tests
Result: ERROR
     Running ‘testthat.R’ [4s/5s]
    Running the tests in ‘tests/testthat.R’ failed.
    Last 13 lines of output:
     3. │ └─rlang::eval_bare(expr, quo_get_env(quo))
     4. └─usmap::usmap_transform(data)
     ── Error (test-transform.R:64:3): data frame with no AK or HI points is transformed ──
     Error: `rgdal` must be installed to use `usmap_transform`.
     Use: install.packages("rgdal") and try again.
     Backtrace:
     █
     1. ├─testthat::expect_equal(usmap_transform(data), result, tolerance = 1e-05) test-transform.R:64:2
     2. │ └─testthat::quasi_label(enquo(object), label, arg = "object")
     3. │ └─rlang::eval_bare(expr, quo_get_env(quo))
     4. └─usmap::usmap_transform(data)
    
     [ FAIL 4 | WARN 0 | SKIP 0 | PASS 153 ]
     Error: Test failures
     Execution halted
Flavor: r-release-macos-arm64

Version: 0.5.2
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘advanced-mapping.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    Quitting from lines 83-95 (advanced-mapping.Rmd)
    Error: processing vignette 'advanced-mapping.Rmd' failed with diagnostics:
    `rgdal` must be installed to use `usmap_transform`.
     Use: install.packages("rgdal") and try again.
    --- failed re-building ‘advanced-mapping.Rmd’
    
    --- re-building ‘introduction.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘introduction.Rmd’
    
    --- re-building ‘mapping.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘mapping.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘advanced-mapping.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-release-macos-arm64